Subject: Re: linux-next: build warning after merge of the sound tree

From: Takashi Iwai <[email-masked]>
Date: Tue, 23 Feb 2010 08:11:49 +0100

At Tue, 23 Feb 2010 16:20:00 +1100,
Luke Yelavich wrote:
> 
> On Tue, Feb 23, 2010 at 04:07:46PM EST, Stephen Rothwell wrote:
> > Hi Takashi,
> > 
> > After merging the sound tree, today's linux-next build (x86_64
> > allmodconfig) produced these warnings:
> > 
> > sound/pci/hda/patch_realtek.c:7016: warning: 'alc885_macmini3_ch2_init' defined but not used
> > sound/pci/hda/patch_realtek.c:7028: warning: 'alc885_macmini3_ch6_init' defined but not used
> > 
> > Introduced by commit e458b1fadf9239d1fdb165ff4c4ea0d807041bec ("ALSA: hda
> > - Add Macmini 3,1 support").
> 
> Whoops, thats my fault. I'll send a patch to the ALSA dev list to fix that right away.

I already fixed differently (just cleaned up, it's identical with mb5
definition).  At the next time, please add me to Cc so that I can pick
up more quickly.

thanks,

Takashi